Bug 1307134 - Review Request: mkdocs-alabaster - Alabaster port for MkDocs
Review Request: mkdocs-alabaster - Alabaster port for MkDocs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eduardo Mayorga
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-12 14:03 EST by William Moreno
Modified: 2016-05-20 13:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-20 13:42:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
e: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description William Moreno 2016-02-12 14:03:02 EST
Spec URL: https://williamjmorenor.fedorapeople.org/rpmdev/mkdocs-alabaster.spec
SRPM URL: https://williamjmorenor.fedorapeople.org/rpmdev/mkdocs-alabaster-0.7.0-1.fc24.src.rpm
Description: Alabaster port for MkDocs
Fedora Account System Username: williamjmorenor
Comment 1 Eduardo Mayorga 2016-04-04 00:49:39 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Latest upstream release is 0.7.1
- It's not OK to patch the license text file. Please wait for those changes to be merged upstream.
- rpmlint complains about W: no-version-in-last-changelog.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 8 files have unknown license. Detailed
     output of licensecheck in /home/mayorga/reviews/1307134-mkdocs-
     alabaster/licensecheck.txt
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.5/site-packages,
     /usr/lib/python3.5
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.5/site-
     packages, /usr/lib/python3.5
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mkdocs-alabaster-0.7.0-1.fc25.noarch.rpm
          mkdocs-alabaster-0.7.0-1.fc25.src.rpm
mkdocs-alabaster.noarch: W: no-version-in-last-changelog
mkdocs-alabaster.noarch: W: invalid-url URL: https://mkdocs-alabaster.ale.rocks/ HTTP Error 403: Forbidden
mkdocs-alabaster.src: W: no-version-in-last-changelog
mkdocs-alabaster.src: W: invalid-url URL: https://mkdocs-alabaster.ale.rocks/ HTTP Error 403: Forbidden
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
mkdocs-alabaster.noarch: W: no-version-in-last-changelog
mkdocs-alabaster.noarch: W: invalid-url URL: https://mkdocs-alabaster.ale.rocks/ HTTP Error 403: Forbidden
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
mkdocs-alabaster (rpmlib, GLIBC filtered):
    mkdocs
    python(abi)



Provides
--------
mkdocs-alabaster:
    mkdocs-alabaster



Source checksums
----------------
https://pypi.python.org/packages/source/m/mkdocs-alabaster/mkdocs-alabaster-0.7.0.tar.gz :
  CHECKSUM(SHA256) this package     : 48ca81b2c558ecb06a26dfdd6a72141a7a0f1e93eb63396e3294e1cf43342f13
  CHECKSUM(SHA256) upstream package : 48ca81b2c558ecb06a26dfdd6a72141a7a0f1e93eb63396e3294e1cf43342f13
Comment 2 William Moreno 2016-04-05 19:10:24 EDT
Spec URL: https://williamjmorenor.fedorapeople.org/rpmdev/mkdocs-alabaster.spec
SRPM URL: https://williamjmorenor.fedorapeople.org/rpmdev/mkdocs-alabaster-0.7.0-1.fc25.src.rpm

----
Update to v0.7.1
Fix changelog format

I am not modifing the LICENSE text, in the patch I am creating the patch from the upstream repo, the pypi tarball do not have the LICENSE text.
Comment 4 William Moreno 2016-04-08 17:46:00 EDT
There is any bloquer in this review?
Comment 5 Eduardo Mayorga 2016-04-08 18:25:49 EDT
Now it looks fine.

PACKAGE APPROVED
Comment 6 Till Maas 2016-04-09 09:10:37 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/mkdocs-alabaster
Comment 7 Fedora Update System 2016-05-04 00:21:24 EDT
mkdocs-material-0.2.2-1.fc24 mkdocs-cinder-0.9.3-1.fc24 mkdocs-basic-theme-1.0.1-3.fc24 mkdocs-alabaster-0.7.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-988ac47c35
Comment 8 Fedora Update System 2016-05-04 10:29:12 EDT
mkdocs-alabaster-0.7.1-1.fc24, mkdocs-basic-theme-1.0.1-3.fc24, mkdocs-cinder-0.9.3-1.fc24, mkdocs-material-0.2.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-988ac47c35
Comment 9 Fedora Update System 2016-05-20 13:42:22 EDT
mkdocs-alabaster-0.7.1-1.fc24, mkdocs-basic-theme-1.0.1-3.fc24, mkdocs-cinder-0.9.3-1.fc24, mkdocs-material-0.2.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.